<template>
  <h1>Fonts</h1>

  <h2>Font families</h2>
  <table>
    <thead>
      <tr>
        <th>Variable</th>
        <th>Value</th>
        <th>Result</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="variable in families" :key="variable">
        <td><code>{{ variable }}</code></td>
        <td><code :data-css-var="variable" /></td>
        <td>
          <span class="-doc-outline" :style="`font-family: var(${variable})`">{{ sampleText }}</span>
        </td>
      </tr>
    </tbody>
  </table>

  <h2>Font weights</h2>
  <table>
    <thead>
      <tr>
        <th>Variable</th>
        <th>Value</th>
        <th>Result</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="variable in weights" :key="variable">
        <td><code>{{ variable }}</code></td>
        <td><code :data-css-var="variable" /></td>
        <td>
          <span class="-doc-outline" :style="`font-weight: var(${variable})`">{{ sampleText }}</span>
        </td>
      </tr>
    </tbody>
  </table>

  <h2>Font sizes</h2>
  <table>
    <thead>
      <tr>
        <th>Variable</th>
        <th>Value</th>
        <th>Result</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="variable in sizes" :key="variable">
        <td><code>{{ variable }}</code></td>
        <td><code :data-css-var="variable" /></td>
        <td>
          <span class="-doc-outline" :style="`font-size: var(${variable})`">{{ sampleText }}</span>
        </td>
      </tr>
    </tbody>
  </table>
</template>

<script>
import { setScssVariables } from '../../../../documentation_system/utils/SetSCSSVariables.js'
import { sampleText } from '../../utils/constants.js'

const weights = [
  '--font-weight-light',
  '--font-weight-base',
  '--font-weight-medium',
  '--font-weight-bold',
  '--font-weight-h6',
  '--font-weight-h5',
  '--font-weight-h4',
  '--font-weight-h3',
  '--font-weight-h2',
  '--font-weight-h1',
]

const sizes = [
  '--font-size-smaller',
  '--font-size-small',
  '--font-size-medium-small',
  '--font-size-base',
  '--font-size-medium',
  '--font-size-large',
  '--font-size-xxlarge',
  '--font-size-h6',
  '--font-size-h5',
  '--font-size-h4',
  '--font-size-h3',
  '--font-size-h2',
  '--font-size-h1',
]

const families = [
  '--font-family-base',
  '--font-family-monospace',
]

export default {
  name: 'FontsView',
  data () {
    return {
      families,
      weights,
      sizes,
      sampleText,
    }
  },
  methods: {
    setScssVariables,
  },
  created () {
    this.$setTitle('Fonts')

    this.$nextTick(() => {
      this.setScssVariables()
    })
  },
}
</script>
